# i get problems with references to eg Console.bnd on wrong paths
%global debug_package %{nil}

Name:           netsurf
Version:        3.9
Release:        1%{?dist}
Summary:        Lightweight Web Browser with its own layout and rendering engine
License:        GPL-2.0 and MIT
Group:          Productivity/Networking/Web/Browsers
Source0:        http://download.netsurf-browser.org/netsurf/releases/source-full/netsurf-all-%{version}.tar.gz
Source1:        netsurf.desktop
URL:            http://www.netsurf-browser.org/
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  gtk2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libglade2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmng-devel
BuildRequires:  openssl-devel
BuildRequires:  libpng-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libxml2-devel
BuildRequires:  make
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  hostname
BuildRequires:  zlib-devel
BuildRequires:  lcms-devel
BuildRequires:  gperf
BuildRequires:  vim-common
BuildRequires:  check-devel
BuildRequires:  libidn-devel
BuildRequires:  perl-HTML-Parser
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  perl-Digest-MD5
BuildRequires:  desktop-file-utils

#Patch1:         0001-Remove-extra-braces-to-fix-build-with-gcc-7.patch

%description
NetSurf is a lightweight browser with its own layout and rendering engine 
entirely written from scratch. It is small and capable of handling many 
of the web standards in use today.

%prep
%setup -q -n netsurf-all-%{version}
export GDK_PIXBUF_MODULE_FILE=/tmp/loaders.cache
gdk-pixbuf-query-loaders-%{__isa_bits} > $GDK_PIXBUF_MODULE_FILE
cd libcss
#%patch1 -p1 -b .fallthrough

%build
export GDK_PIXBUF_MODULE_FILE=/tmp/loaders.cache
make PREFIX=%{_prefix} NETSURF_USE_HARU_PDF=NO %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -D -m0644 netsurf/frontends/gtk/res/netsurf.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/netsurf.xpm

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/%{name}-gtk
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/netsurf.xpm

%changelog
* Sat Jul 27 2019 josef radinger <cheese@nosuchhost.net> - 3.9-1
- bump version
- add BuildRequires on vim-common

* Sat Sep 08 2018 josef radinger <cheese@nosuchhost.net> - 3.8-1
- bump version
- remove patch1

* Tue Oct 24 2017 josef radinger <cheese@nosuchhost.net> - 3.7-1
- bump version

* Sun May 14 2017 josef radinger <cheese@nosuchhost.net> - 3.6-4
- fix fallthrough

* Fri Jan 06 2017 josef radinger <cheese@nosuchhost.net> - 3.6-3
- and fix the desktop-file

* Thu Jan 05 2017 josef radinger <cheese@nosuchhost.net> - 3.6-2
- fix desktop-file-install

* Thu Jan 05 2017 josef radinger <cheese@nosuchhost.net> - 3.6-1
- bump version
- add bison+flex+hostname to buildrequires
- add gdk-pixbuf2-devel ynd perl-Digest-MD5 to buildrequires
- add gdk-pixbuf-query-loaders-%{__isa_bits} to setup-section
- correct path to xpm
#- add libharu-devel to buildrequires
#- fix wrong path (haru.patch)

* Mon Jun 13 2016 Huaren Zhong <huaren.zhong@gmail.com> 3.5
- Rebuild for Fedora

* Sun May 13 2012 andreas.stieger@gmx.de
- update to upstream 2.9
  For a full list of changes, see:
  http://www.netsurf-browser.org/downloads/releases/ChangeLog.txt
- switch to full upstream source tarball with in-tree libraries
- move changelog to .changes file
- remove start script and use binary names as per upstream
- license is GPL-2.0 and MIT
- reformat spec file and add in-tree dependency libraries
- update patches to compile with flags
- add backported upstream netsurf-2.9-libcss-enum-compare.patch
  to compile without -Wno-error=enum-compare
- update .desktop file

* Fri Jun 19 2009 pascal.bleser@opensuse.org
- update to 2.1

* Fri May  1 2009 pascal.bleser@opensuse.org
- update to 2.0
- use latest lempar.c and lemon.c from sqlite

* Sun Mar 23 2008 guru@unixtech.be
- new package